%define major	1
%define libname	%mklibname expat %{major}
%define devname	%mklibname expat -d

Summary:	XML parser written in C
Name:		expat
Version:	2.6.2
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.xz
BuildRequires:	docbook2x

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  lib64expat1-devel
Provides:   lib64expat1-devel = %{version}-%{release}

%description -n %{devname}
Development environment for the expat XML parser.

%prep
%setup -q
%autopatch -p1

%build

%configure2_5x --disable-static --with-docbook

%make_build


%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc
%{_docdir}/expat/AUTHORS
%{_docdir}/expat/changelog
%{_libdir}/cmake/

%changelog
* Mon Mar 18 2024 tex - 2.6.2-1pclos2024
- new version

* Thu Mar 07 2024 tex - 2.6.1-1pclos2024
- new version

* Fri Feb 09 2024 tex - 2.6.0-1pclos2024
- new version

* Tue Oct 25 2022 tex - 2.5.0-1pclos2022
- new version

* Thu Sep 22 2022 tex - 2.4.9-1pclos2022
- new version

* Thu Mar 31 2022 tex - 2.4.8-1pclos2022
- new version

* Mon Mar 07 2022 tex - 2.4.7-1pclos2022
- new version

* Sun Feb 20 2022 tex - 2.4.6-1pclos2022
- new version

* Sun Feb 20 2022 tex - 2.4.5-1pclos2022
- new version

* Tue Feb 01 2022 tex - 2.4.4-1pclos2022
- new version

* Tue Jan 25 2022 tex - 2.4.3-2pclos2022
- rebuild against updates

* Sun Jan 16 2022 tex - 2.4.3-1pclos2022
- new version

* Wed Dec 22 2021 tex - 2.4.2-1pclos2022
- new version

* Wed May 26 2021 tex - 2.4.1-1pclos2021
- new version

* Sat Apr 10 2021 tex - 2.3.0-1pclos2021
- new version

* Wed Oct 07 2020 tex - 2.2.10-1pclos2020
- new version

* Wed Sep 09 2020 tex - 2.2.9-1pclos2020
- update
